
  CREATE OR REPLACE VIEW SPERMISSION_V AS
   SELECT DISTINCT spermission.id,
        spermission.account_grant,
        spermission.assignable,
        spermission.authoritative,
        TO_CHAR(spermission.bound_by_id) bound_by_id,
        spermission.boundable,
        spermission.cost,
        spermission.deleted,
        spermission.description,
        spermission.display_name,
        spermission.driver_id,
        spermission.effective,
        spermission.exclude_from_catalog,
        spermission.is_curated,
        spermission.logical_id,
        spermission.merged,
        spermission.name,
        spermission.not_reviewable,
        TO_CHAR(spermission.permission_id) permission_id,
        spermission.prov_attribute,
        spermission.prov_by_unique_permission_id,
        spermission.prov_native_value,
        spermission.prov_unique_driver_id,
        spermission.provisionable,
        spermission.risk,
        spermission.type,
        spermission.unique_bound_by_id,
        spermission.unique_permission_id,
        spermission.value,
        spermission.value_type,
        spermission.application,
        spermission.base_application,
        spermission.collected_entity,
        spermission.data_collection,
        spermission.effective_entity,
        spermission.sversion,
        spermission.auto_generated,
        spermission.prov_unique_permission_id,
        auth_by.brole_name authorized_by,
        LISTAGG(TO_CHAR(su.display_name), TO_CHAR(' | ')) WITHIN GROUP (ORDER BY su.display_name) perm_owner_name
     FROM spermission 
     LEFT JOIN (SELECT brole.brole_name, brole.unique_item_id 
            FROM (SELECT business_role_id, unique_item_id,(SELECT DISTINCT brole.name FROM business_role brole WHERE br_incl_item.business_role_id = brole.id AND brole.approval_state = 'PUBLISHED') brole_name
                FROM business_role_incl_item br_incl_item) brole, spermission       
            WHERE brole.unique_item_id = spermission.unique_permission_id AND brole.brole_name IS NOT NULL) auth_by ON auth_by.unique_item_id = spermission.unique_permission_id
      LEFT JOIN resolved_spermission_owner rso ON rso.permission = spermission.id
      LEFT JOIN suser_name_v su ON TO_CHAR(su.unique_user_id) = TO_CHAR(rso.owner_unique_id)
     WHERE spermission.deleted = 0 AND spermission.effective = 1
     GROUP BY spermission.id,
        spermission.account_grant,
        spermission.assignable,
        spermission.authoritative,
        TO_CHAR(spermission.bound_by_id),
        spermission.boundable,
        spermission.cost,
        spermission.deleted,
        spermission.description,
        spermission.display_name,
        spermission.driver_id,
        spermission.effective,
        spermission.exclude_from_catalog,
        spermission.is_curated,
        spermission.logical_id,
        spermission.merged,
        spermission.name,
        spermission.not_reviewable,
        TO_CHAR(spermission.permission_id),
        spermission.prov_attribute,
        spermission.prov_by_unique_permission_id,
        spermission.prov_native_value,
        spermission.prov_unique_driver_id,
        spermission.provisionable,
        spermission.risk,
        spermission.type,
        spermission.unique_bound_by_id,
        spermission.unique_permission_id,
        spermission.value,
        spermission.value_type,
        spermission.application,
        spermission.base_application,
        spermission.collected_entity,
        spermission.data_collection,
        spermission.effective_entity,
        spermission.sversion,
        spermission.auto_generated,
        spermission.prov_unique_permission_id,
        auth_by.brole_name
     ORDER BY spermission.name;

GRANT SELECT ON igops.SPERMISSION_V TO igrptuser;
CREATE OR REPLACE PUBLIC SYNONYM SPERMISSION_V for igops.SPERMISSION_V;